;; -*- coding: utf-8 -*-
;; Time-stamp: <Chen Wang: 2019-05-27 10:52:10>

;; Auto generated by cnfonts
;; <https://github.com/tumashu/cnfonts>
;; (set-face-attribute
;;  'default nil
;;  :font (font-spec :name "-unknown-DejaVu Sans Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1"
;;                   :weight 'normal
;;                   :slant 'normal
;;                   :size 12.5))
;; (dolist (charset '(kana han symbol cjk-misc bopomofo))
;;   (set-fontset-font
;;    (frame-parameter nil 'font)
;;    charset
;;    (font-spec :name "-microsoft-Microsoft YaHei-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1"
;;               :weight 'normal
;;               :slant 'normal
;;               :size 15.0)))


;; Auto generated by cnfonts
;; <https://github.com/tumashu/cnfonts>
;; (set-face-attribute
;;  'default nil
;;  :font (font-spec :name "-unknown-DejaVu Sans Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1"
;;                   :weight 'normal
;;                   :slant 'normal
;;                   :size 12.5))
;; (dolist (charset '(kana han symbol cjk-misc bopomofo))
;;   (set-fontset-font
;;    (frame-parameter nil 'font)
;;    charset
;;    (font-spec :name "-microsoft-Microsoft YaHei-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1"
;;               :weight 'normal
;;               :slant 'normal
;;               :size 15.0)))

;; set proper language (fixes cyrillic letters in ansi-term)
;; (setenv "LANG" "ru_RU.UTF-8")

;; default font
;; (set-face-attribute 'default nil :family "Droid Sans Mono")

;; font for all unicode characters
;; (set-fontset-font t 'unicode "Symbola" nil 'prepend)

;; override font for cyrillic characters
;; (set-fontset-font t 'cyrillic "DejaVu Sans Mono")

;;中文设置
;; (prefer-coding-system 'chinese-gbk)
(prefer-coding-system 'cp950)
(prefer-coding-system 'gb2312)
(prefer-coding-system 'cp936)
(prefer-coding-system 'gb18030)
(prefer-coding-system 'utf-16)
(prefer-coding-system 'utf-8-dos)
(prefer-coding-system 'utf-8-unix)
;; (prefer-coding-system 'utf-8)
(setq file-name-coding-system 'utf-8)
;; (set-coding-system-priority 'chinese-gbk)
(set-coding-system-priority 'utf-8)
(set-keyboard-coding-system 'utf-8)

;; (setq w32-charset-info-alist
;;       (cons'("gbk" w32-charset-gb2312 . 936)w32-charset-info-alist))

;; (set-w32-system-coding-system 'chinese-gbk)
(set-selection-coding-system 'utf-8)
(set-language-environment 'utf-8)
(setq locale-coding-system 'utf-8) ;; must have and put chinese-gbk, not for utf-8
(setq current-language-environment "utf-8")
(setq session-save-file-coding-system 'utf-8)
(setq default-buffer-file-coding-system 'utf-8)
(setq buffer-file-coding-system 'utf-8)
(set-terminal-coding-system 'utf-8)
(set-keyboard-coding-system 'utf-8)


;; (put-charset-property 'chinese-cns11643-5 'nospace-between-words t)
;; (put-charset-property 'chinese-cns11643-6 'nospace-between-words t)
;; (put-charset-property 'chinese-cns11643-7 'nospace-between-words t)
;; (setq w32-enable-synthesized-fonts t)

;; (setq file-coding-system-alist
;;     (list file-coding-system-alist
;;         `(".*" chinese-gbk)))
;;;;;;利用黑体代替粗体和斜体;;;;;;;;;;
;; (setq w32-enable-synthesized-fonts t)
;; (create-fontset-from-fontset-spec
;;  (concat
;;    "-*-Bitstream Vera Sans Mono-bold-r-*-*-15-*-*-*-c-*-fontset-gbkbold,"
;;    "chinese-gb2312:-*-黑体-normal-r-normal-*-18-*-*-p-*-gb2312*-*,"
;;    "chinese-cns11643-5:-*-黑体-normal-r-normal-*-18-*-*-p-*-gbk*-*,"
;;    "chinese-cns11643-6:-*-黑体-normal-r-normal-*-18-*-*-p-*-gbk*-*,"
;;    "chinese-cns11643-7:-*-黑体-normal-r-normal-*-18-*-*-p-*-gbk*-*"))
;; (create-fontset-from-fontset-spec
;;  (concat
;;     "-*-Andale Mono-normal-i-*-*-15-*-*-*-c-*-fontset-gbkitalic,"
;;     "chinese-gb2312:-*-宋体-normal-i-normal-*-18-*-*-p-*-gb2312*-*,"
;;     "chinese-cns11643-5:-*-宋体-normal-i-normal-*-18-*-*-p-*-gbk*-*,"
;;     "chinese-cns11643-6:-*-宋体-normal-i-normal-*-18-*-*-p-*-gbk*-*,"
;;     "chinese-cns11643-7:-*-宋体-normal-i-normal-*-18-*-*-p-*-gbk*-*"))
;; (create-fontset-from-fontset-spec
;;  (concat
;;   "-*-Bitstream Vera Sans Mono-bold-i-*-*-15-*-*-*-c-*-fontset-gbkbolditalic,"
;;   "chinese-gb2312:-*-黑体-normal-i-normal-*-18-*-*-p-*-gb2312*-*,"
;;   "chinese-cns11643-5:-*-黑体-normal-i-normal-*-18-*-*-p-*-gbk*-*,"
;;   "chinese-cns11643-6:-*-黑体-normal-i-normal-*-18-*-*-p-*-gbk*-*,"
;;   "chinese-cns11643-7:-*-黑体-normal-i-normal-*-18-*-*-p-*-gbk*-*"))
;(set-face-font 'bold        "fontset-gbkbold")
;(set-face-font 'italic      "fontset-gbkitalic")
;(set-face-font 'bold-italic "fontset-gbkbolditalic")

;; 中文排版不整齐的补丁
;; Comment below due to incompatible with company-english-helper

;; (let ((l '(chinese-gb2312
;;            gb18030-2-byte
;;            gb18030-4-byte-bmp
;;            gb18030-4-byte-ext-1
;;            gb18030-4-byte-ext-2
;;            gb18030-4-byte-smp)))
;;   (dolist (elt l)
;;     (map-charset-chars #'modify-category-entry elt ?|)
;;     (map-charset-chars
;;      (lambda (range ignore)
;;        (set-char-table-range char-width-table range 2))
;;      elt)))
